<template v-if="vImg">
  <img
    v-img="{
      group: 'v-img-gallery'
    }"
    :src="'/httpImage/'+src"
    :onerror="noneImg"
    :height="height"
    :width="width"
    :alt="alt"
  >
</template>
<template v-else>
  <img :src="'/httpImage/'+src" :onerror="noneImg" :height="height" :width="width" :alt="alt">
</template>
<style src="@/vendor/libs/v-img/v-img.scss" lang="scss"></style>
<script>
import Vue from 'vue'
import VueImg from 'v-img'
Vue.use(VueImg, {
  altAsTitle: true
})
export default {
  name: 'httpImg',
  props: {
    src: {
      default: '',
      type: String
    },
    vImg: {
      default: false,
      type: Boolean
    },
    alt: {
      default: '',
      type: String
    },
    height: {
      default: '100%',
      type: String
    },
    width: {
      default: 'auto',
      type: String
    },
    propNoneImg: {
      type: String,
      default: require('@/assets/img/noneImg.png')
    }
  },
  computed: {
    noneImg() {
      return 'this.src="' + this.propNoneImg + '"'
    }
  }
}
</script>
<style scoped>
</style>
